﻿.bw {
    filter: grayscale(100%);
}
div.dashboard-Tables-scrollable {
    height: 27em;
    overflow-y: auto;
}
.bg-light {
    color: black !important;
}

.beSticky {
    position: fixed;
    z-index: 2000;
    top: 20px;
    left: auto;
    margin-left: 70px;
}

#gantt {
    height: 700px;
}

.custom-task {
    display: block;
    overflow: visible;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 3px 10px 0 rgba(0, 0, 0, 0.19);
    min-width: 16px;
    border-color: rgba(0, 0, 0, 0.25);
    border-width: 1px;
    border-style: solid;
    border-radius: 3px;
    margin-top: -1em;
}

.custom-task-wrapper {
    padding: 0px;
    color: rgba(10, 10, 10, 1);
}

.custom-task-wrapper > * {
    display: block;
    overflow: visible;
    text-overflow: ellipsis;

}

.custom-task-title {
    font-weight: 600;
    font-size: 14px;
    text-align: center ;
}

.custom-task-row {

    font-size: 11px;
    text-align: center;
}
.custom-task-progress-tooltip {
    position: relative;
    margin-top: 2px;
    height: 13px;
    background: rgba(0, 0, 0, .4);
    border-radius: 15px;
    font-size: 10px;
    font-weight: bolder;
    text-align: center;

    color: white;
    min-width: 20px;
}
.custom-task-progress {
    position: absolute;
    margin-top:2px;
    height:13px;
    background: rgba(0, 0, 0, .4);
    border-radius: 15px;
    font-size: 10px;
    font-weight: bolder;
    text-align:center;
    vertical-align:text-top;
    color: white;
    min-width: 20px;

}

.options {
    margin-bottom: 20px;
    padding: 20px;
    background-color: rgba(191, 191, 191, 0.15);
    position: relative;
}

.caption {
    font-size: 18px;
    font-weight: 500;
}

.option {
    margin-top: 10px;
    margin-right: 40px;
    display: inline-block;
}

.option:last-child {
    margin-right: 0;
}

.custom-task-edit-tooltip {
    opacity: 0.9;
    color: black;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    border-color: rgba(0, 0, 0, 0.25);
    border-width: 1px;
    border-style: solid;
    padding: 10px 12px 12px 12px;
    border-radius: 20px;
}

.custom-task-edit-tooltip::before {
    border-top-color: white;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.custom-task-edit-tooltip::after {
    border-bottom-color: white;
}

.custom-tooltip-title {
    text-align: center;
    font-size: 20px;
    font-weight: 600;
    padding-bottom: 6px;
    padding-top: 6px;
    background-color: rgba(0, 0, 0, -0.25);
    color: rgba(0, 0, 0, 0.7);
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
}

.custom-tooltip-row {
    font-size: 14px;
    text-align: center;
}

.dx-gantt-task-edit-progress {
    position: absolute;
    width: 0;
    height: 0;
    bottom: 0;
    cursor: pointer;
    border-style: solid;
    border-width: 0 6px 9px 6px;
    border-color: transparent transparent #269aff transparent;
    z-index: 10
}

.dx-gantt-task-edit-progress:before {
    content: "";
    width: 10px;
    height: 4px;
    background-color: white;
    position: absolute;
    bottom: -14px;
    left: -6px;
    border: 1px solid #269aff;
    border-top: none
}

.floating-ressource-wrapper {
    padding: 5px;
    min-height: 20px;
    min-width: 10px;
    display: inline-block;
    position: absolute;
    margin-top: -18px;
    margin-left: 0px;
}
.floating-ressource-wrapper > * {
    margin-left: 5px;
    display: block;
}

.floating-ressource {
    padding:3px;
    min-height: 20px;
    min-width: 10px;
    display: inline-block;
    border-color: rgba(0, 0, 0, 0.25);
    border-width: 0px;
    border-style: solid;
    position: relative;
    font-weight: bolder;
    border-radius:5px;
    text-align: center;
    vertical-align: central;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.dx-gantt .dx-gantt-taskWrapper .dx-gantt-task .dx-gantt-tPrg {
    border-radius: 4px;
    background-color: rgba(0,0,0,.5);
}
.dx-gantt .dx-row {
    height: 40px;
}